while [[ -z $(getprop sys.boot_completed) ]]; do sleep 5; done
busybox=$(find /data/adb/ -type f -name busybox | head -n 1)
$busybox swapoff /dev/block/zram0
echo "1" > /sys/block/zram0/reset
echo "8589934592" > /sys/block/zram0/disksize
$busybox mkswap /dev/block/zram0
$busybox swapon /dev/block/zram0
echo 1 > /sys/module/zswap/parameters/enabled
echo zstd > /sys/module/zswap/parameters/compressor
echo 20 > /sys/module/zswap/parameters/max_pool_percent
echo 100 > /proc/sys/vm/swappiness

# Tweak activity_manager_constants
settings put global activity_manager_constants max_cached_processes=8
settings put global app_standby_enabled=true

if [[ -z $busybox ]]; then
    echo "Busybox not found, aborting."
    exit 1
fi

if [[ ! -d /sys/module/zswap ]]; then
    echo "ZSWAP is not supported on this device."
    exit 1
fi

echo "ZRAM and ZSWAP configured successfully" >> /data/adb/zram_tweak.log